import 'package:flutter/cupertino.dart';
import 'package:syncrow_web/pages/home/view/home_page_mobile.dart';
import 'package:syncrow_web/pages/home/view/home_page_web.dart';
import 'package:syncrow_web/utils/helpers/responsice_layout_helper/responsive_layout_helper.dart';

class HomePage extends StatelessWidget with HelperResponsiveLayout {
  const HomePage({super.key});

  @override
  Widget build(BuildContext context) {
    final isSmallScreen = isSmallScreenSize(context);
    final isMediumScreen = isMediumScreenSize(context);
    return isSmallScreen || isMediumScreen
        ? HomeMobilePage()
        : const HomeWebPage();
  }
}
